Vulnerability   
Search   
    Search 187964 CVE descriptions
and 85075 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.878054
Category:Fedora Local Security Checks
Title:Fedora: Security Advisory for mingw-pcre2 (FEDORA-2020-b11cf352bd)
Summary:The remote host is missing an update for the 'mingw-pcre2'; package(s) announced via the FEDORA-2020-b11cf352bd advisory.
Description:Summary:
The remote host is missing an update for the 'mingw-pcre2'
package(s) announced via the FEDORA-2020-b11cf352bd advisory.

Vulnerability Insight:
Cross compiled Perl-compatible regular expression library for use with mingw32.

PCRE has its own native API, but a set of 'wrapper' functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

Affected Software/OS:
'mingw-pcre2' package(s) on Fedora 31.

Solution:
Please install the updated package(s).

CVSS Score:
5.0

CVSS Vector:
AV:N/AC:L/Au:N/C:N/I:N/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2019-20454
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 85075 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.